#ifndef __UTIL_H__
#define __UTIL_H__

#include <stdio.h>

VOID Error(char *sz);
VOID Error2(char *sz1, char *sz2);
VOID Error3(char *sz1, char *sz2, char *sz3);
void ErrorLine(char *sz);
void WarningLine(char *sz);
void ErrorLine2(char *sz, char *sz2);
BOOL FSzEqI(char *sz1, char *sz2);
long WMin(long w1, long w2);
long WMax(long w1, long w2);

void EmitB(unsigned char b);
void EmitW(unsigned short w);
void EmitL(unsigned long l);

/*void SwapBytes(void *pv, long cb); */
/*void SwapLong(void *pl); */
/*void SwapStruct(void *pv, char *szPic); */
VOID OpenOutput(char *szBase, long id);
VOID CloseOutput(void);
VOID OpenResFile(char *szFile);
VOID CloseResFile(void);
void DumpBytes(void *pv, long cb);
void PadWordBoundary(void);
long IbOut(void);
VOID SetOutFileDir(char *sz);
char *FindAndOpenFile(char *szIn, char *mode, FILE **returnFile );

extern char rgbZero[];
extern FILE *vfhIn;

#define MAXPATHS 20
extern char *includePaths[];
extern long   totalIncludePaths;




	


#endif /*__UTIL_H__*/