#ifndef __FONT_H__
#define __FONT_H__

void DumpFont(char *pchFileName, long fontid);
void InitFontMem(long fontType);
void FreeFontMem(void);

long DxCalcRgdx(unsigned char *sz, long ifnt, long *rgdx);
long DxCalcExtent(unsigned char *sz, long ifnt);
long DxChar(long ch, long ifnt);
long DyFont(long ifnt);
long GetFontType(void);


/* Font Types */
#define fontDefault 0
#define fontHebrew 1
#define fontJapanese 2	
#define fontChineseBig5 3
#define fontChineseGB 4

#endif /*__FONT_H__ */
