

typedef struct _plex
	{
	long m_iMac;
	long m_iMax;
	long m_dGrow;
	long m_cbItem;
	void *m_rgb;
	} PLEX;
	
	
BOOL PlexInit(PLEX *pplex, long cbItem, long iMaxInit, long dGrow);
VOID PlexFree(PLEX *pplex);
long PlexGetCount(PLEX *pplex);
long PlexGetMax(PLEX *pplex);
void *PlexGetElementAt(PLEX *pplex, long i);
BOOL PlexAddElement(PLEX *pplex, void *pb);
BOOL PlexIsValid(PLEX *pplex);


#define DEFPL(NAME) typedef PLEX NAME;
